import { DetailedHTMLProps, InputHTMLAttributes } from "react";
import { CheckboxFormControl, OnChangeValueType } from "../../types";
export interface IProps extends DetailedHTMLProps<InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> {
    control: CheckboxFormControl;
    id: string;
    objectPathId?: string;
    onChangeValue: (newProperties: OnChangeValueType) => void;
}
declare const EnhancedCheckbox: ({ onChangeValue, ...props }: IProps) => import("react/jsx-runtime").JSX.Element;
export default EnhancedCheckbox;
