import "react-date-range/dist/styles.css";
import "react-date-range/dist/theme/default.css";
export interface CalendarModalInterface {
    startDate?: Date;
    endDate?: Date;
    key?: string;
}
interface ICalendarModal {
    handleDateChange: (date: CalendarModalInterface, keepModalState?: boolean) => void;
    from: string;
    to: string;
}
declare const CalendarModal: ({ handleDateChange, from, to }: ICalendarModal) => import("react/jsx-runtime").JSX.Element;
export default CalendarModal;
