import { DetailedHTMLProps, SelectHTMLAttributes } from "react";
import { OnChangeValueType, SelectFormControl } from "../../types";
import type { controlProps } from "../../types/controlProps";
export interface IProps extends DetailedHTMLProps<SelectHTMLAttributes<HTMLSelectElement>, HTMLSelectElement> {
    id: string;
    control: SelectFormControl;
    controlProps?: controlProps;
    objectPathId?: string;
    onChangeValue: (newProperties: OnChangeValueType) => void;
}
declare const Select: ({ onChangeValue, controlProps, ...props }: IProps) => import("react/jsx-runtime").JSX.Element;
export default Select;
