import type { AiWrapperProps } from ".";
import type { useAiProps } from "./useAi";
import "./global-ai-wrapper.css";
import useAi from "./useAi";
interface AiLayoutProps extends ReturnType<typeof useAi>, Omit<AiWrapperProps, keyof useAiProps> {
    modalOpen: boolean;
    onModalToggle: () => void;
}
declare const AiLayout: ({ AiResponseControl, aiActions, inputControl, objectPathId, aiResponse, isError, isLoading, loadingActionIndex, modalOpen, onModalToggle, handleAccept, handleAiActionClick, handleDiscard, handleBack, handleRetry, }: AiLayoutProps) => import("react/jsx-runtime").JSX.Element;
export default AiLayout;
