import type { FormControl, FormVisibility } from "../../../types";
type createControl = {
    displayName: string;
    isGroup: boolean;
    submenu?: {
        icon?: string;
    };
    visibility?: "hidden" | "expert";
    groupChildVisibility?: FormVisibility;
    error?: {
        message: string;
    };
};
declare const createControl: ({ displayName, isGroup, submenu, visibility, groupChildVisibility, error, }: createControl) => FormControl;
export default createControl;
