import { DetailedHTMLProps, TextareaHTMLAttributes } from "react";
import { OnChangeValueType, TextareaFormControl } from "../../../types";
export interface IProps extends DetailedHTMLProps<TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement> {
    control?: TextareaFormControl;
    value?: string;
    onChange?: (newProperties: OnChangeValueType) => void;
    id?: string;
    readOnly?: boolean;
    textColor?: string;
    errorClass?: string;
}
declare const DefaultEditor: ({ value, onChange, id, readOnly, control, errorClass, textColor, }: IProps) => import("react/jsx-runtime").JSX.Element;
export default DefaultEditor;
