import React, { FC, ReactElement } from "react";
import { RenderOptions } from "@testing-library/react";
import { FileUploaderConfig, FormControls, resolveUrl } from "./types";
interface IProps {
    children?: React.ReactNode;
    controls?: FormControls;
    fileUploaderConfig?: FileUploaderConfig;
    resolveUrl?: resolveUrl;
}
export declare const TestWrapper: FC<IProps>;
declare const customRender: (ui: ReactElement, options?: Omit<RenderOptions, "wrapper">) => import("@testing-library/react").RenderResult<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement>;
export declare const renderViaFormBuilder: (controls: FormControls, fileUploaderConfig?: FileUploaderConfig, resolveUrl?: resolveUrl, options?: RenderOptions) => import("@testing-library/react").RenderResult<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement>;
export * from "@testing-library/react";
export { customRender as render };
